<div id="forgot-password" fxLayout="column">

    <div id="forgot-password-form-wrapper" fxLayout="column" fxLayoutAlign="center center">

        <div id="forgot-password-form" [@animate]="{value:'*',params:{duration:'300ms',y:'100px'}}">

            <div class="logo">
                <img src="assets/images/logos/logo@x1.png">
            </div>

            <ngb-alert type="danger" class="mb-2" *ngIf="apiError" (close)="apiError = false">
                <p class="mb-0" style="color: red;">{{apiError}}</p>
              </ngb-alert>
              <ngb-alert type="danger" class="mb-2" *ngIf="successMsg" (close)="successMsg = false">
                <p class="mb-0" style="color: green;">{{successMsg}}</p>
              </ngb-alert>

            <div class="title">RECOVER YOUR PASSWORD</div>

            <form name="forgotPasswordForm" [formGroup]="forgotPasswordForm"  (ngSubmit)="onSubmit()" novalidate>

                <mat-form-field appearance="outline">
                    <mat-label>Email</mat-label>
                    <input matInput formControlName="email"  (keyup)="checkEmail($event.target.value)">
                    <mat-icon matSuffix class="secondary-text" >mail</mat-icon>
                    <mat-error *ngIf="forgotPasswordForm.get('email').hasError('required')">
                        Email is required
                    </mat-error>
                    <mat-error *ngIf="forgotPasswordForm.get('email').hasError('email')">
                        Please enter a valid email address
                    </mat-error>
                </mat-form-field>

                <button mat-raised-button class="submit-button" color="accent"
                        aria-label="SEND RESET LINK" [disabled]="forgotPasswordForm.invalid">
                    SEND RESET LINK
                </button>
            </form>

            <div class="login" fxLayout="row" fxLayoutAlign="center center">
                <a class="link" [routerLink]="'/admin/login'">Go back to login</a>
            </div>

        </div>

    </div>

</div>
